function tabulka = readGACR
%% Nacitani dat z webu GACR - seznam podporenych projektu

adresa = 'https://gacr.cz/seznam-podporenych-projektu/';
VarNames = {'RegistrCislo',...
    'Navrhovatel',...
    'Nazev',...
    'Uchazec',...
    'DobaTrvani',...
    'Obor'};


rawdata = webread(adresa);
tree = htmlTree(rawdata);
subtree = findElement(tree,"tr");
dataCell = arrayfun(@(x) findElement(x,"td"), subtree, 'UniformOutput', false);

%% 
% 4.2.2020 pro odstranění chyby, která se objevuje kvůli vícero
% tabulkám o různém počtu proměnných automaticky stažených pomocí webread z
% gacr.cz
SpaceBetweenTables = find(cellfun(@isempty,dataCell));
endOfBaseTable = SpaceBetweenTables(2)-1;
dataCell = dataCell(1:endOfBaseTable);
%
%% Vytvoreni tabulky ze cell array
vysledekCell = cellfun(@extractHTMLText, dataCell, 'UniformOutput', false);
vysledekCell(cellfun(@isempty, vysledekCell)) = [];
vysledekCell = cellfun(@(x) cell2table(cellstr(x')), vysledekCell,...
    'UniformOutput', false);
tabulka = vertcat(vysledekCell{:});
tabulka.Properties.VariableNames = VarNames;
tabulka.DobaTrvani = str2double(tabulka.DobaTrvani);
tabulka = convertvars(tabulka,{'Navrhovatel','Uchazec','Obor'},'categorical');
