%% Multiple variables vizualizations

%% parallel coordinates plot
load fisheriris
labels = {'Sepal Length','Sepal Width','Petal Length','Petal Width'};
parallelplot(meas,'GroupData',species,'CoordinateTickLabels',labels)

%% stacked plot
figure
stackedplot(meas,'DisplayLabels',labels)

%% ... for tables
t = array2table(meas,'VariableNames',labels);
t.Species = species;
figure
stackedplot(t)
figure
parallelplot(t,'CoordinateVariables',labels,'GroupVariable','Species')

%% Statistics and Machine Learning Toolbox
% parallelcoords
% - median + quantiles
% - better for many observations 
figure
parallelcoords(meas,'group',species,'labels',labels,... 
               'quantile',.25)